cURL
curl --request GET \
--url https://api.slash.com/expense-report/reimbursement-sources \
--header 'X-API-Key: <api-key>'{
"data": [
{
"id": "<string>",
"userId": "<string>",
"accountName": "<string>",
"type": "<string>",
"subtype": "<string>",
"institution": {
"id": "<string>",
"name": "<string>"
},
"metadata": {
"timestamp": "2023-11-07T05:31:56Z"
},
"lastSyncedAt": "<string>",
"lastStatusChangeAt": "<string>",
"officialAccountName": "<string>",
"accountOwnerName": "<string>",
"mask": "<string>",
"balance": {
"amount": {
"amount_cents": 123
},
"lastBalanceCheckDate": "<string>"
},
"latestBalanceCheck": {
"currentAmount": {
"amount_cents": 123
},
"availableAmount": {
"amount_cents": 123
},
"limitAmount": {
"amount_cents": 123
}
},
"error": {
"errorCode": "<string>",
"errorType": "<string>",
"actionMessage": "<string>",
"userActionCta": "<string>"
},
"institutionLogo": "<string>"
}
]
}Expense Report
Get reimbursement sources
Get connected bank accounts for a user that can be used as reimbursement payout destinations. Pass the userId query parameter to specify which user’s bank accounts to retrieve.
GET
/
expense-report
/
reimbursement-sources
cURL
curl --request GET \
--url https://api.slash.com/expense-report/reimbursement-sources \
--header 'X-API-Key: <api-key>'{
"data": [
{
"id": "<string>",
"userId": "<string>",
"accountName": "<string>",
"type": "<string>",
"subtype": "<string>",
"institution": {
"id": "<string>",
"name": "<string>"
},
"metadata": {
"timestamp": "2023-11-07T05:31:56Z"
},
"lastSyncedAt": "<string>",
"lastStatusChangeAt": "<string>",
"officialAccountName": "<string>",
"accountOwnerName": "<string>",
"mask": "<string>",
"balance": {
"amount": {
"amount_cents": 123
},
"lastBalanceCheckDate": "<string>"
},
"latestBalanceCheck": {
"currentAmount": {
"amount_cents": 123
},
"availableAmount": {
"amount_cents": 123
},
"limitAmount": {
"amount_cents": 123
}
},
"error": {
"errorCode": "<string>",
"errorType": "<string>",
"actionMessage": "<string>",
"userActionCta": "<string>"
},
"institutionLogo": "<string>"
}
]
}Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Query Parameters
The legal entity ID. Required if authenticating with access to multiple legal entities.
The user ID to get reimbursement sources for. Required.
Response
OK
Show child attributes
Show child attributes
⌘I